cmake_minimum_required(VERSION 3.1.0)
project(lfr_central VERSION 0.1.0)

include(CTest)
enable_testing()

set(THREADS_PREFER_PTHREAD_FLAG ON)

add_subdirectory(AutonomousMode)
add_subdirectory(Communication)
add_subdirectory(Socket)

add_executable(lfr_central main.cpp lfr_state_machine.cpp lfr_states.cpp)

target_include_directories(lfr_central PRIVATE ${lfr_image_processing_SOURCE_DIRS})
target_include_directories(lfr_central PRIVATE ${lfr_uart_SOURCE_DIRS})
target_include_directories(lfr_central PRIVATE ${lfr_socket_SOURCE_DIRS})


target_link_libraries( lfr_central lfr_image_processing_lib lfr_uart_lib lfr_socket_lib)

set(CPACK_PROJECT_NAME ${PROJECT_NAME})
set(CPACK_PROJECT_VERSION ${PROJECT_VERSION})
include(CPack)
